Subject: bug#52477: 27.1; .crx and .crx3 are zip files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Dec 2021 15:21:46 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 16 Dec 2021 12:59:01 +0100
> 
> > If the file doesn't follow the PKZip spec in the initial signature,
> > who knows what else in that spec doesn't it follow?  The ZIP spec has
> > a lot of special rules and formatting requirements, so if a file
> > doesn't follow them, how can we support it without knowing its exact
> > format specification?
> 
> ".crx" files are Chrome Extensions, as shown by Stefan. They are
> specified, see for example <https://developer.chrome.com/docs/extensions/reference/>.
> 
> Personally, I have no strong opinion whether we shall support them.

Me neither, but if someone wants to extend arc-mode.el to support
those extension, that would be welcome, I think.  My point is that we
cannot just add this file type before we implement those extensions.